<?php
/**
 * @file
 * Provides the admin page callback functionalities
 */

/**
 * Callback for the mail settings.
 */
function beididp_admin_mail() {
  $form['register'] = array(
    '#type' => 'fieldset',
    '#title' => t('Registration mail - no admin approval'),
    '#description' => t('Alternative mail to be sent when a user creates a new account via eID. The default mail can be confusing, because it contains a username and a password.'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['register']['beididp_register_no_approval_required_subject'] = array(
    '#type' => 'textfield',
    '#title' => t('Subject'),
    '#default_value' => variable_get('beididp_register_no_approval_required_subject', _user_mail_text('register_no_approval_required_subject')),
    '#size' => 100,
    '#maxlength' => 100,
  );

  $form['register']['beididp_register_no_approval_required_body'] = array(
    '#type' => 'textarea',
    '#title' => t('Body'),
    '#default_value' => variable_get('beididp_register_no_approval_required_body', _user_mail_text('register_no_approval_required_body')),
    '#rows' => 15,
  );

  $form['pending'] = array(
    '#type' => 'fieldset',
    '#title' => t('Registration mail - pending approval'),
    '#description' => t('Alternative mail to be sent when a user creates a new account via eID and admin approval is required. The default mail can be confusing, because it contains a username and a password.'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['pending']['beididp_register_pending_approval_subject'] = array(
    '#type' => 'textfield',
    '#title' => t('Subject'),
    '#default_value' => variable_get('beididp_register_pending_approval_subject', _user_mail_text('register_pending_approval_subject')),
    '#size' => 100,
    '#maxlength' => 100,
  );

  $form['pending']['beididp_register_pending_approval_body'] = array(
    '#type' => 'textarea',
    '#title' => t('Body'),
    '#default_value' => variable_get('beididp_register_pending_approval_body', _user_mail_text('register_pending_approval_body')),
    '#rows' => 15,
  );

  $form['activated'] = array(
    '#type' => 'fieldset',
    '#title' => t('Registration mail - approved by admin'),
    '#description' => t('Alternative mail to be sent when an admin approves a new account that was created with eID. The default mail can be confusing, because it contains a username and a password.'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['activated']['beididp_status_activated_subject'] = array(
    '#type' => 'textfield',
    '#title' => t('Subject'),
    '#default_value' => variable_get('beididp_status_activated_subject', _user_mail_text('status_activated_subject')),
    '#size' => 100,
    '#maxlength' => 100,
  );

  $form['activated']['beididp_status_activated_body'] = array(
    '#type' => 'textarea',
    '#title' => t('Body'),
    '#default_value' => variable_get('beididp_status_activated_body', _user_mail_text('status_activated_body')),
    '#rows' => 15,
  );

  return system_settings_form($form);
}
